Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Volo

    java.lang.Object
      archive.data.Volo

    public class Volo

extends java.lang.Object

Una classe che rappresenta un Volo

Field Summary
`java.lang.String` | `arr`
`java.lang.String` | `dest`
`java.lang.String` | `ori`
`java.lang.String` | `part`
`java.lang.String` | `sigla`

Constructor Summary
`Volo(java.lang.String sigla, java.lang.String ori, java.lang.String dest, java.lang.String part, java.lang.String arr, int rimasti)` Crea un nuovo Volo

Method Summary
`void` | `addRimasti(int r)` Aggiunge posti disponibili
`java.lang.String` | `getLArrivo()` Ritorna luogo di arrivo
`java.lang.String` | `getLPartenza()` Ritorna luogo di partenza
`java.lang.String` | `getOArrivo()` Ritorna orario di arrivo
`java.lang.String` | `getOPartenza()` Ritorna orario di partenza
`int` | `getRimasti()` Ritorna i posti disponibili
`java.lang.String` | `getSigla()` Ritorna sigla del volo
`boolean` | `subRimasti(int r)` Decrementa i posti rimasti
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sigla

    public final java.lang.String sigla

### ori

    public final java.lang.String ori

### dest

    public final java.lang.String dest

### part

    public final java.lang.String part

### arr

    public final java.lang.String arr

Constructor Detail

### Volo

    public Volo(java.lang.String sigla,
                java.lang.String ori,
                java.lang.String dest,
                java.lang.String part,
                java.lang.String arr,
                int rimasti)

  Crea un nuovo Volo

  Parameters:
    `sigla` - sigla del volo
    `ori` - stringa (luogo di partenza)
    `dest` - stringa (luogo di arrivo)
    `part` - orario di partenza
    `arr` - orario di arrivo
    `rimasti` - posti ancora disponibili

Method Detail

### getRimasti

    public int getRimasti()

  Ritorna i posti disponibili

  Returns:
    posti rimasti

### getLPartenza

    public java.lang.String getLPartenza()

  Ritorna luogo di partenza

  Returns:
    lòugo di partenza

### getLArrivo

    public java.lang.String getLArrivo()

  Ritorna luogo di arrivo

  Returns:
    luogo di arrivo

### getOPartenza

    public java.lang.String getOPartenza()

  Ritorna orario di partenza

  Returns:
    orario di partenza

### getOArrivo

    public java.lang.String getOArrivo()

  Ritorna orario di arrivo

  Returns:
    orario di arrivo

### getSigla

    public java.lang.String getSigla()

  Ritorna sigla del volo

  Returns:
    sigla del volo

### subRimasti

    public boolean subRimasti(int r)

  Decrementa i posti rimasti

  Parameters:
    `r` - numero posti da rimuovere
  Returns:
    true se rimosso

### addRimasti

    public void addRimasti(int r)

  Aggiunge posti disponibili

  Parameters:
    `r` - posti da aggiungere

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD